cURL
curl --request PATCH \
--url https://api.puretalk.ai/api/phone-numbers/{phone_number_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"ai_assistant": "<string>"
}
'import requests
url = "https://api.puretalk.ai/api/phone-numbers/{phone_number_id}"
payload = { "ai_assistant": "<string>" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ai_assistant: '<string>'})
};
fetch('https://api.puretalk.ai/api/phone-numbers/{phone_number_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"err": false,
"msg": "AI Assistant assigned to phone number successfully."
}{
"err": true,
"msg": "An error occurred."
}Phone Numbers
Connect Phone Number
Connect a phone number to an AI Assistant based on the ID supplied
PATCH
/
phone-numbers
/
{phone_number_id}
cURL
Authorizations
Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.
Path Parameters
ID of phone number to connect
Body
application/json
The ID of the AI assistant to connect to the phone number
Was this page helpful?
⌘I